sppp_do_ioctl
Prev | Chapter 3. Public Functions Provided | Next

## Name

sppp_do_ioctl — Ioctl handler for ppp/hdlc

## Synopsis

`int sppp_do_ioctl (` | struct net_device * | dev,
| struct ifreq * | ifr,
| int | cmd`)`;

## Arguments

`dev`

  Device subject to ioctl

`ifr`

  Interface request block from the user

`cmd`

  Command that is being issued

## Description

This function handles the ioctls that may be issued by the user to control the settings of a PPP/HDLC link. It does both busy and security checks. This function is intended to be wrapped by callers who wish to add additional ioctl calls of their own.

Prev | Up | Next
sppp_reopen | Home | sppp_attach